package com.example.witsystem_device_plugin.SDK.event;


import com.alibaba.fastjson.JSON;
import com.example.witsystem_device_plugin.SDK.entity.BleOtaResult;


import io.flutter.plugin.common.EventChannel;

/**
 * 处理蓝牙ota
 */
public class BleOtaHandler implements EventChannel.StreamHandler {

    private EventChannel.EventSink events;

    @Override
    public void onListen(Object arguments, EventChannel.EventSink events) {
        this.events = events;
    }

    @Override
    public void onCancel(Object arguments) {
    }

    synchronized public void onResult(BleOtaResult bleOtaResult) {
        if (events != null) {
            events.success(JSON.toJSONString(bleOtaResult));
        }
    }

    synchronized public void onError(String code, String error, String e) {
        if (events != null) {
            events.error( code, error, e);
        }
    }

    synchronized public void onComplete() {
        if (events != null) {
            events.endOfStream();
        }
    }
}
